import os, sys
import pygame
from pygame.locals import *

def drawXOs(screen,image,x=3,y=3,backgroundColor=(255,255,255)):
    (xsize,ysize) = screen.get_size()
    (xx,yy) = image.get_size()
    mult = min(float(xsize)/(xx*x),float(ysize)/(yy*y))
    print mult

    image = pygame.transform.scale(image,(int(xx*mult),int(yy*mult)))
    print image.get_size()
        
    background = pygame.Surface(screen.get_size())
    background.fill(backgroundColor)

    screen.blit(background,(0,0))
    
    xtra = (xsize-x*image.get_width())/2
    ytra = (ysize-y*image.get_height())/2

    for i in range(0,x):
        for j in range(0,y):
            screen.blit(image,(i*image.get_width()+xtra,j*image.get_height()+ytra))
    
    pygame.display.flip()
    return screen

def main():
    pygame.init()
    screen = pygame.display.set_mode((1280,1000))
    
    image = pygame.image.load("XO.png")

    drawXOs(screen,image,100,50);

    raw_input()

if __name__=='__main__': main()
